#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull teamspeak:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker ps -a | grep TeamSpeak | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	echo "TeamSpeak container is there, remove it first."
	docker rm -f TeamSpeak
fi


docker create -i -t --name=TeamSpeak \
	-p 9987:9987/udp -p 10011:10011 -p 10022:10022 -p 30033:30033 \
	-e TS3SERVER_LICENSE=accept \
	-e TS3SERVER_QUERY_PROTOCOLS=raw,ssh \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/TeamSpeak/ts3server:/var/ts3server:rw \
	--restart unless-stopped \
	teamspeak:latest

	
docker start TeamSpeak


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep teamspeak | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
